<?php

declare(strict_types=1);

namespace Drupal\og\Attribute;

use Drupal\Component\Plugin\Attribute\Plugin;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Defines a OgDeleteOrphans attribute object.
 */
#[\Attribute(\Attribute::TARGET_CLASS)]
class OgDeleteOrphans extends Plugin {

  public function __construct(
    public readonly string $id,
    public readonly TranslatableMarkup $label,
    public readonly ?TranslatableMarkup $description = NULL,
  ) {}

}
